#include <ai.h>

extern const AtNodeMethods* apVolume;
extern const AtNodeMethods* apVolumeShader;
namespace {
	enum {
		AP_VOLUME,
		AP_VOLUME_SHADER
	};
}

node_loader
{
	strcpy(node->version, AI_VERSION);
	switch (i) {
	case AP_VOLUME:
		node->methods = apVolume;
		node->output_type = AI_TYPE_NONE;
		node->name = "apVolume";
		node->node_type = AI_NODE_SHAPE_VOLUME;
		break;
	/*case AP_VOLUME_SHADER:
		node->methods = apVolumeShader;
		node->output_type = AI_TYPE_CLOSURE;
		node->name = "apVolumeShader";
		node->node_type = AI_NODE_SHADER;
		break;*/
	default:
		return false;
	}
	return true;
}